<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f5deea9c-9428-4e1b-a432-6064341c1bb8" name="Default Changelist" comment="更新代码10-28">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/dorm-manager-wx/utils/api.js" beforeDir="false" afterPath="$PROJECT_DIR$/dorm-manager-wx/utils/api.js" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/dorm-manager-db/target/" />
    <ignored path="$PROJECT_DIR$/dorm-manager-admin-api/target/" />
    <ignored path="$PROJECT_DIR$/dorm-manager-wx-api/target/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application-prod.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="19">
              <caret line="1" column="12" selection-start-line="1" selection-start-column="12" selection-end-line="1" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/web/HomeController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="133">
              <caret line="19" selection-start-line="19" selection-end-line="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/WxApplication.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="114">
              <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/resources/application-prod.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="266">
              <caret line="14" column="39" selection-start-line="14" selection-start-column="39" selection-end-line="14" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application-dev.properties">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>vi</find>
      <find>deptInfo</find>
      <find>home</find>
    </findStrings>
    <dirStrings>
      <dir>D:\微信小程序\辽宁科技大学宿管\dorm-manager\dorm-manager-wx-api\src\main\java\com\dgtis\dorm\manager\wx\web</dir>
      <dir>D:\微信小程序\辽宁科技大学宿管\dorm-manager\dorm-manager-wx-api</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application.properties" />
        <option value="$PROJECT_DIR$/dorm-manager-wx-api/src/main/resources/application-prod.properties" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="417" />
    <option name="y" value="71" />
    <option name="width" value="965" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wx" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wx" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
              <item name="classes" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="dorm-manager" type="b2602c69:ProjectViewProjectNode" />
              <item name="dorm-manager" type="462c0819:PsiDirectoryNode" />
              <item name="dorm-manager-wx-api" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
              <item name="generated-sources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelOrder2" value="2" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RequestMappingsPanelWidth2" value="75" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1572492796331" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.WxApplication">
    <configuration name="AdminApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="dorm-manager-admin-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dgtis.dorm.manager.admin.AdminApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="WxApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="dorm-manager-wx-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.dgtis.dorm.manager.wx.WxApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f5deea9c-9428-4e1b-a432-6064341c1bb8" name="Default Changelist" comment="" />
      <created>1571379241679</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1571379241679</updated>
      <workItem from="1571379243265" duration="675000" />
      <workItem from="1571797453367" duration="656000" />
      <workItem from="1572233756763" duration="1692000" />
      <workItem from="1572418604132" duration="5786000" />
      <workItem from="1572427502853" duration="582000" />
      <workItem from="1572428159348" duration="152000" />
      <workItem from="1572431440878" duration="1274000" />
    </task>
    <task id="LOCAL-00001" summary="更新代码10-28">
      <created>1572234111796</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1572234111796</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="10817000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.28668684" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.704918" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.3295082" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" weight="0.3295082" />
      <window_info anchor="bottom" id="Java Enterprise" order="11" weight="0.3295082" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="bottom" id="Version Control" order="13" weight="0.31311476" />
      <window_info active="true" anchor="bottom" id="JRebel Console" order="14" side_tool="true" visible="true" weight="0.3295082" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" />
      <window_info anchor="bottom" id="Messages" order="16" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
      <window_info anchor="right" id="JRebel Setup Guide" order="10" weight="0.32980332" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="更新代码10-28" />
    <option name="LAST_COMMIT_MESSAGE" value="更新代码10-28" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/web/NewsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3534">
          <caret line="18" column="13" selection-start-line="18" selection-start-column="13" selection-end-line="18" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/web/WxCollectController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1815">
          <caret line="36" column="13" selection-start-line="36" selection-start-column="13" selection-end-line="36" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="1" column="12" selection-start-line="1" selection-start-column="12" selection-end-line="1" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="14" column="39" selection-start-line="14" selection-start-column="39" selection-end-line="14" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/target/classes/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/web/HomeController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="133">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dorm-manager-wx-api/src/main/java/com/dgtis/dorm/manager/wx/WxApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
  </component>
</project>